%global __requires_exclude      pear\\(tests/Net_Sieve/Sieve.php\\)|pear\\(tests/Net_Sieve/tests/config.php\\)
%define upstream_name Net_Sieve
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.3.4
Release:     	%mkrel 1
Summary:    	Handles talking to a sieve server
License: 	BSD
Group: 		Development/PHP
Source0:	http://pear.php.net/get/Net_Sieve-%{version}.tgz
URL: 		http://pear.php.net/package/Net_Sieve
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-Net_Socket >= 1.0
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
This package provides an API to talk to servers implementing the
managesieve protocol. It can be used to install and remove sieve scripts,
mark them active etc.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_Sieve.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_Sieve.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_Sieve
fi

%files
%{peardir}/*
%{xmldir}/Net_Sieve.xml


%changelog
* Sun Mar 13 2016 spuhler <spuhler> 1.3.4-1.mga6
+ Revision: 990331
- upgrade to vers. 1.3.4

* Tue Feb 09 2016 umeabot <umeabot> 1.3.3-3.mga6
+ Revision: 951149
- Mageia 6 Mass Rebuild

* Tue Dec 09 2014 spuhler <spuhler> 1.3.3-2.mga5
+ Revision: 802421
- added %%global __requires_exclude  pear\\(tests/Net_Sieve/tests/config.php\\)

* Fri Dec 05 2014 spuhler <spuhler> 1.3.3-1.mga5
+ Revision: 801577
- upgrade to ver. 1.3.3
  * Fix notices from non-static calling of PEAR methods.
  * Fix reading OK responses with string literal messages.

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-7.mga5
+ Revision: 744550
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-6.mga5
+ Revision: 687390
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 1.3.2-5.mga4
+ Revision: 526730
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 spuhler <spuhler> 1.3.2-4.mga4
+ Revision: 438723
- Removed the dash in line Requires: php-pear-

* Sun Jan 13 2013 umeabot <umeabot> 1.3.2-3.mga3
+ Revision: 377031
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 27 2012 spuhler <spuhler> 1.3.2-2.mga2
+ Revision: 202116
- added missing file as exceptions

* Sun Jan 22 2012 spuhler <spuhler> 1.3.2-1.mga2
+ Revision: 199917
- upgrade to 1.3.2
  pearized spec file

* Fri Jan 21 2011 spuhler <spuhler> 1.3.0-1.mga1
+ Revision: 27979
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_Sieve


* Sat Aug 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.0-1mdv2011.0
+ Revision: 569610
- new version

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.7-2mdv2010.1
+ Revision: 468716
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Sun Jul 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.7-1mdv2010.0
+ Revision: 400321
- update to new version 1.1.7

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.6-2mdv2009.1
+ Revision: 321887
- rebuild

* Wed Aug 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.6-1mdv2009.0
+ Revision: 274173
- fix "build"
- 1.1.6

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.1.5-4mdv2009.0
+ Revision: 224838
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.5-3mdv2008.1
+ Revision: 178531
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.5-2mdv2008.0
+ Revision: 33606
- filter out pear(PHPUnit2

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.5-1mdv2008.0
+ Revision: 15604
- fix build and deps
- 1.1.5


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-1mdv2007.0
+ Revision: 81180
- Import php-pear-Net_Sieve

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-1mdk
- 1.1.2
- new group (Development/PHP)

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-5mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-4mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-3mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-2mdk
- rebuild

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-1mdk
- 1.1.1
- fix spec file to conform with the others

* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.0-1mdk
- First mdk package

